<%@page import="org.springframework.security.core.context.SecurityContextHolder"%>
<%@page import="org.springframework.security.core.Authentication"%>
<%@ page contentType="text/html" pageEncoding="UTF-8" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page session="true" %>

<jsp:include page="header.jsp">
    <jsp:param name="pageTitle" value="View users page"/>
</jsp:include>
<body>
    <nav class="navbar navbar-inverse navbar-fixed-top">
        <div class="container-fluid">
            <div class="collapse navbar-collapse">
                <p class="navbar-text navbar-center"><i class="glyphicon glyphicon-euro"></i> <span class="title">Banque</span>  </p>
            
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <p id="usrCo"></p>
                    </li>
                    <li>
                        <a href="login?logout"><spring:message code="view.users.main.logout"/></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    
    <div class="row headerSpace">
        <img class="imgTitle" src="/img/money_icon.png" />
    </div>
    
         <div class="addDebt">
                <form>
                            <div class="form-group">
                                    <div class="control-group">
                                        <label for="debt">Somme de la dette</label>
                                    </div>
                                    <div class="control-group control-group-big">
                                        <input type="number" class="form-control inputDebt" id="sommeDette"/>
                                    </div>
                                    <div class="control-group">
                                        <label for="debtFor">A : </label>
                                    </div>
                                    <div class="control-group control-group-big">
                                    <input type="text" class="form-control  inputDebt" id="username"/>
                                    
                                    </div>
                                    <div class="control-group upButton">
                                     
                                       <button class="btn btn-danger" type="submit" onclick="updateDebtOfUser()">Update</button>
                                    </div>
                             
                            </div>
                            
                  </form>
         </div>
    
   
   
       <table class="table-container">
           <tr>
               <td valign="top">
                    <table class="table table-stripped debtsTable">
                            <thead>
                             <td>Créditeur</td>
                             <td>Somme</td>            
                            </thead>
                            <tbody id="dettes">

                            </tbody>                                 
                        </table>
               </td>
               
               <td valign="top">
                    <table class="table table-stripped debtsTable">
                            <thead>
                            <td>Emprunteur</td>
                             <td>Somme</td>
                             <td>Action</td>
                            </thead>
                            <tbody id="creances">

                            </tbody>
                        </table>
               </td>
           </tr>
       </table>
       
       
    
    
    
    
    
    
<!--    <ul>
        <li><a href="newUser"><spring:message code="new.user.main.header"/></a></li>
        <li><a href="login?logout"><spring:message code="view.users.main.logout"/></a></li>
    </ul>-->
</body>
        


<jsp:include page="footer.jsp"/>